Loading...
Searching...
No Matches
FilterCatalog.h File Reference
`#include <RDGeneral/export.h>`
`#include <Catalogs/Catalog.h>`
`#include <Catalogs/CatalogParams.h>`
`#include "FilterCatalogEntry.h"`

Go to the source code of this file.

## Classes

class | RDKit::FilterCatalogParams
class | RDKit::FilterCatalog

## Namespaces

namespace | RDKit
| Std stuff.

## Typedefs

typedef RDCatalog::Catalog< FilterCatalogEntry, FilterCatalogParams > | RDKit::FCatalog

## Functions

RDKIT_FILTERCATALOG_EXPORT bool | RDKit::FilterCatalogCanSerialize ()
RDKIT_FILTERCATALOG_EXPORT std::vector< std::vector< boost::shared_ptr< const FilterCatalogEntry > > > | RDKit::RunFilterCatalog (const FilterCatalog &filterCatalog, const std::vector< std::string > &smiles, int numThreads=1)
| Run a filter catalog on a set of smiles strings.